import { z } from "zod";
import { Optional } from "../optional.js";
export type JSONPrimitive = string | number | boolean | null;
export type OptionalJSONPrimitive = Optional<JSONPrimitive>;
export declare const jsonPrimitiveSchema: z.ZodSchema<JSONPrimitive>;
export declare const optionalJsonPrimitiveSchema: z.ZodSchema<OptionalJSONPrimitive>;
export declare const isJSONPrimitive: (value: unknown) => value is JSONPrimitive;
export declare const isOptionalJSONPrimitive: (value: unknown) => value is OptionalJSONPrimitive;
export declare const parseJSONPrimitive: (value?: unknown) => JSONPrimitive | undefined;
export type JSONOrderable = string | number;
export type OptionalJSONOrderable = Optional<JSONOrderable>;
export declare const jsonOrderableSchema: z.ZodSchema<JSONOrderable>;
export declare const optionalJsonOrderableSchema: z.ZodSchema<OptionalJSONOrderable>;
export declare const isJSONOrderable: (value: unknown) => value is JSONOrderable;
export declare const isOptionalJSONOrderable: (value: unknown) => value is OptionalJSONOrderable;
export declare const parseJSONOrderable: (value?: unknown) => JSONOrderable | undefined;
export * from "./string.js";
export * from "./number.js";
export * from "./boolean.js";
export * from "./null.js";
